Bug 1428948 (CVE-2017-2661) - CVE-2017-2661 pcs: Improper node name field validation when creating clusters leads to XSS
Summary: CVE-2017-2661 pcs: Improper node name field validation when creating clusters...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-2661
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1434111
Blocks: 1428949
TreeView+ depends on / blocked
 
Reported: 2017-03-03 16:41 UTC by Adam Mariš
Modified: 2019-09-29 14:08 UTC (History)
16 users (show)

Fixed In Version: pcs 0.9.157
Doc Type: If docs needed, set a value
Doc Text:
It was found that pcsd was vulnerable to reflected cross-site scripting (XSS) attacks while handling node names during creation or import of a cluster. An attacker could use this flaw to run javascript code in an authenticated session.
Clone Of:
Environment:
Last Closed: 2017-03-23 17:11:26 UTC


Attachments (Terms of Use)
proposed fix (3.09 KB, patch)
2017-03-21 13:30 UTC, Tomas Jelinek
no flags Details | Diff

Description Adam Mariš 2017-03-03 16:41:16 UTC
Cross-site scripting vulnerability was found in pcs due to improper validation of Node name field when creating new cluster or adding existing cluster.

Upstream fix :
*  web UI: fixed XSS vulnerability 
https://github.com/ClusterLabs/pcs/commit/1874a769b5720ae5430f10c6cedd234430bc703f

Comment 1 Adam Mariš 2017-03-03 16:41:23 UTC
Acknowledgments:

Name: Microsoft

Comment 11 Cedric Buissart 🐶 2017-03-20 18:09:18 UTC
Created pcs tracking bugs for this issue:

Affects: fedora-all [bug 1434111]

Comment 13 Tomas Jelinek 2017-03-21 13:30:29 UTC
Created attachment 1265070 [details]
proposed fix


Note You need to log in before you can comment on or make changes to this bug.